:root {
    --theme-color: linear-gradient(135deg, #0072ff 0, #000075 100%);
    --blue-color: #003cd4;
    --custom-filter-icon: brightness(0) saturate(100%) invert(32%) sepia(88%) saturate(670%) hue-rotate(203deg) brightness(90%) contrast(102%) drop-shadow(0px 0px 1px #4651c2) drop-shadow(0px 0px 2px #fff) drop-shadow(0px 0px 3px #fff);
}

p:focus,
p:active,
div:active,
div:focus,
button:active,
button:focus,
a:active,
a:focus,
label:focus,
label:active {
    -webkit-tap-highlight-color: transparent;
}

.new_nav-parent {
    position: sticky;
    top: 0;
    z-index: 10;
    background-color: #fff;
}

.new_header {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.new_header-pic {
    width: 100%;
    height: 100%;
    display: flex;
    position: relative;
}

.new_header-pic::before {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0) 84%, #00000045 100%);
    z-index: 2;
}

.new_header-pic img {
    width: 100%;
    height: 100%;
    user-select: none;
    max-height: 464px;
    object-fit: cover;
}

.header {
    width: 100%;
    height: 100vh;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #ccc;
}

.header::after {
    content: "";
    position: absolute;
    height: 250px;
    width: 100%;
    background: linear-gradient(to bottom, rgba(229, 234, 240, 0) 0, #eff4fb 100%);
    bottom: 0;
}

.header__content {
    z-index: 120;
    width: 80%;
    max-width: 1280px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.header__find {
    background-color: #f8f7f9;
    box-shadow: rgb(0 0 0 / 20%) 0 2px 8px 3px;
    border-radius: 16px;
    position: relative;

}

.header__parent-serach {
    display: flex;
}

.header__filter {
    display: flex;
    gap: 15px;
    justify-content: center;
}

.header__search {
    position: relative;
}

.header__date {
    display: flex;
    gap: 15px;
}

.header__des {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.header__des-title {
    user-select: none;
    font-size: 36px;
    font-weight: normal;
    width: auto;
    height: 50px;
    aspect-ratio: 2068 / 416;
    filter: brightness(0) saturate(100%) brightness(0) saturate(100%) invert(32%) sepia(88%) saturate(670%) hue-rotate(203deg) brightness(90%) contrast(102%) drop-shadow(0px 0px 3px #fff);
    margin-top: 100px;
}

.header__detail {
    display: flex;
    align-items: flex-end;
    gap: 5px;
}

.header__detail h1 {
    color: #ffc400;
    font-size: 28px;
    text-shadow: 0px 0px 5px #614b01;
    margin-right: 5px;
}

.header_title-mobile {
    position: absolute;
    z-index: 2;
    left: 50%;
    transform: translateX(-50%);
    top: -15px;
    display: flex;
    color: transparent;
    font-size: 20px;
    font-weight: bold;
}

@media screen and (max-width:749px) {
    .header__des {
        display: none;
    }

    .header__des-title {
        margin-top: 0;
    }
}

.header__des-text {
    font-size: 1rem;
}

.header__des-title,
.header__des-text {
    color: #fff;
    text-shadow: #000 1px 1px 10px;
}

.header__search-input {}

.header__date-start {}

.header__date-end {}

.header__search-input,
.header__date-start,
.header__date-end {
    outline: none;
    height: 46px;
    width: 100%;
    padding: 6px 12px;
    font-size: 14px;
    line-height: 1.42857143;
    color: #555;
    background-color: #fff;
    background-image: none;
    border: 1px solid #ccc;
    border-radius: 10px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075);
    -webkit-transition: border-color ease-in-out .15s, -webkit-box-shadow ease-in-out .15s;
    -o-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
    padding-right: 42px;
}

.header__search-input:focus,
.header__date-start:focus,
.header__date-end:focus {
    border-color: #2e5bce70;
    outline: 0;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px #3862ce3b;
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, .075), 0 0 8px #3862ce3b;
}

.date__parent {
    position: relative;
}

.date__parent .calendar__icon {
    color: var(--blue-color);
    position: absolute;
    width: 30px;
    height: 30px;
    top: 50%;
    transform: translateY(-50%);
    right: 7px;
    filter: var(--custom-filter-icon);
}

.header__search-icon {
    color: var(--blue-color);
    stroke-width: 2px;
    position: absolute;
    width: 30px;
    height: 30px;
    top: 50%;
    transform: translateY(-50%);
    right: 7px;
    filter: var(--custom-filter-icon);
}

.header__arrow-icon {
    color: #999;
    stroke-width: 3px;
    position: absolute;
    width: 20px;
    height: 20px;
    top: 50%;
    transform: translateY(-50%);
    left: 12px;
    transition: all .25s ease-out;
}

.header__search-input:focus-within~.header__arrow-icon {
    transform: translateY(-50%) rotate(180deg);
}

.header__btn {
    width: 70%;
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
}

.header__btn .header__btn-first {
    padding: 6px 12px;
    margin-bottom: 0;
    font-weight: 400;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    -ms-touch-action: manipulation;
    touch-action: manipulation;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-image: none;
    height: 51px;
    border-radius: 16px;
    font-size: 18px;
    color: #fff;
    border: none;
    background: var(--theme-color);
    width: 60%;
    transition: all .25s ease;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
}

.header__btn .header__btn-first svg {
    width: 30px;
    height: 30px;
    color: #fff;
}

.header__btn .header__btn-first:hover {
    filter: brightness(0.8);
}

.header__filter-new {
    display: none;
}

@media screen and (max-width:700px) {
    .header__filter-new {
        display: flex;
        align-items: center;
        gap: 4px;
        background: var(--theme-color);
        border: none;
        outline: none;
        padding: 5px;
        border-radius: 10px;
        padding-left: 12px;
    }

    .header__filter-new img {
        background: transparent;
    }

    .header__filter-new p {
        font-size: 12px;
        color: #fff;
        text-wrap: nowrap;
        white-space: nowrap;
    }
}

.header__filter-city {
    position: absolute;
    width: 100%;
    background-color: #fff;
    /* border: 1px solid #2e5bce70; */
    box-shadow: 0px 1px 3px #3d3939a6;
    border-top: none;
    border-bottom-left-radius: 5px;
    border-bottom-right-radius: 5px;
    z-index: 5;
    max-height: 0;
    visibility: hidden;
    transition: all .5s;
    overflow-y: auto;
    overflow-x: hidden;
    opacity: 0;
    scrollbar-width: none;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    left: 50%;
    transform: translateX(-50%);
}

.header__filter-city::-webkit-scrollbar {
    width: 5px;
    background: #fff !important;

}

.header__filter-city::-webkit-scrollbar-thumb {
    background: #ccc !important;
    border-radius: 5px;

}

/* .header__search-input:focus-within ~ .header__filter-city{
    visibility: visible;
    opacity: 1;
    max-height: 240px;
} */
.header__filter-city-on {
    visibility: visible;
    opacity: 1;
    max-height: 240px;
}

.header__city-ul {
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 4px;
}

.header__city-ul li {
    padding: 0 10px;
    font-size: 12px;
    line-height: 35px;
    text-align: right;
    position: relative;
    /* border-bottom: 1px solid #2e5bce70; */
}

.header__city-ul li::after {
    content: "";
    display: flex;
    width: 100%;
    height: 1px;
    background-color: #ccccccbb;
}

.header__city-ul li:hover {
    background-color: #dae0ff;
    cursor: pointer;
}

.order-m1 {
    order: -1;
}

.header__parent-serach {
    position: relative;
}

@media screen and (min-width:750px) {
    .mt-65pxm {
        margin-top: -65px;
    }

    .header__content {
        /* width: 80%; */
        width: 80%;
        transform: translateY(-75px);
    }

    .date__parent {
        width: 50%;
    }

    .header__search {
        width: 50%;
    }

    .header__date {
        width: 50%;
    }

    .header__find {
        /* padding: 35px 50px 51px 50px; */
        /* padding: 65px 50px 60px 50px; */
        padding: 50px 30px 45px 30px;
    }

    .header_title-mobile {
        top: 15px;
    }

    .header__btn {
        right: 50%;
        transform: translateX(50%);
        bottom: -23px;
    }
}

@media screen and (max-width:749px) {
    .header__content {
        width: 90%;
        transform: translateY(-100px);
    }

    .header__filter {
        flex-direction: column;
    }

    .date__parent {
        width: 100%;
    }

    .header__search {
        width: 100%;
    }

    .header__parent-serach {
        flex-direction: column;
        gap: 15px;
    }

    .header__date {
        width: 100%;
        flex-direction: column;
    }

    .header__find {
        padding: 45px 25px 60px 25px;
        position: relative;
    }

    .header__btn {
        right: 50%;
        transform: translateX(50%);
        bottom: -25px;
    }
}

.bg-blur {
    background-color: #ffffffce;
    /* backdrop-filter: blur(4px); */
}

.bg-blur .header-index,
.bg-blur .head__active {
    background: transparent;
}

.bg-blur:has(.show__head-menu) .head__active {
    background-color: #fff;
}

@media screen and (min-width:801px) {
    .backdrop__menu-eg {
        content: "";
        width: 100%;
        height: 650px;
        position: fixed;
        bottom: 0;
        left: 0;
        transition: all .3s;
        opacity: 0;
        visibility: hidden;
        z-index: 2;
        background: linear-gradient(180deg, rgba(51, 51, 51, 0) 12.81%, rgba(51, 51, 51, .4) 41.46%, rgba(51, 51, 51, .4));
    }

    .backdrop__menu-eg-on {
        opacity: 1;
        visibility: visible;
    }
}

@media screen and (min-width:900px) {
    .city_start .search_able_city {
        border-top-left-radius: 0;
        border-bottom-left-radius: 0;
        padding-right: 10px;
    }

    .city_end .search_able_city {
        border-top-right-radius: 0;
        border-bottom-right-radius: 0;
        padding-right: 20px;
        border-right: 0;
    }
    .replace__city{
        transform: translate(-50%, -50%) !important;
    }
}

.replace__city {
    padding: 3px;
    border: none;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 30px;
    width: 30px;
    border-radius: 50%;
    border: 1px solid #ccc;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%) rotate(90deg);
    cursor: pointer;
    transition: all .5s ease;
}

.replace__city::after {
    content: "";
    position: absolute;
    width: 100%;
    height: 100%;
}

.replace__city:hover {
    border: 1px solid #0066ff;
}

.replace__city svg {
    stroke: #ccc;
    transition: all .5s ease;
}

.replace__city:hover svg {
    stroke: #0066ff;
}


.disable_li {
    pointer-events: none;
    opacity: .6;
}

.backdrop__search {
    width: 100vw;
    height: 200vh;
    background-color: rgba(0, 0, 0, .5);
    position: fixed;
    z-index: 119;
    right: 0;
    visibility: hidden;
    opacity: 0;
    transition: all .4s;
}

.backdrop__search-on {
    visibility: visible;
    opacity: 1;
}